
CFLAGS = -g 

# NOTE: if you get errors when linking qstat (missing symbols or
# libraries), then switch the LIBS macro being used.

# Solaris 2
LIBS = -lsocket -lnsl

# Irix 5.3, Linux
# LIBS = 

# The first line is for Unix.  Switch the comment character for Windows.
# (there should be no need to compile on Windows, but in case you care ...)
all: qstat
#all: qstat.exe

qstat:	qstat.c
	$(CC) $(CFLAGS) -o qstat qstat.c $(LIBS)

qstat.exe: qstat.c
	$(CC) /ML /c qstat.c
	link qstat.obj /out:qstat.exe wsock32.lib

clean:
	rm -f qstat core qstat.exe qstat.obj

VERSION = 1.4
WVERSION = 1-4
PKG_FILES = Makefile qstat.txt qstat.c qstat.bat qstat.exe

tar:
	rm -f qstat$(VERSION).tar qstat$(VERSION).tar.Z
	tar cvf qstat$(VERSION).tar $(PKG_FILES)
	compress qstat$(VERSION).tar

zip:
	rm -f qstat$(WVERSION).zip
	zip qstat$(WVERSION).zip $(PKG_FILES)

